# Generated by Django 4.1.5 on 2023-04-09 13:44

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('tenancy', '0009_standardize_description_comments'),
        ('extras', '0084_staging'),
        ('virtualization', '0034_standardize_description_comments'),
        ('dcim', '0167_module_status'),
    ]

    operations = [
        migrations.CreateModel(
            name='S3Cluster',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100, null=True)),
                ('type', models.CharField(blank=True, max_length=20, null=True)),
                ('s3device_count', models.IntegerField(blank=True, default=None, null=True)),
                ('s3vm_count', models.IntegerField(blank=True, default=None, null=True)),
                ('raw_size', models.IntegerField(blank=True, default=None, null=True)),
                ('used_size', models.IntegerField(blank=True, default=None, null=True)),
                ('description', models.CharField(blank=True, max_length=500)),
                ('comments', models.TextField(blank=True)),
                ('contact', models.ManyToManyField(blank=True, default=None, related_name='s3cluster_contact', to='tenancy.contact')),
                ('devices', models.ManyToManyField(blank=True, default=None, related_name='s3cluster_device', to='dcim.device')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('virtualmachine', models.ManyToManyField(blank=True, default=None, related_name='s3cluster_vm', to='virtualization.virtualmachine')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Pool',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100, null=True)),
                ('type', models.CharField(blank=True, max_length=15, null=True)),
                ('size', models.IntegerField(blank=True, null=True)),
                ('description', models.CharField(blank=True, max_length=500)),
                ('comments', models.TextField(blank=True)),
                ('cluster', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='pool_cluster', to='netbox_object_storage.s3cluster')),
                ('contact', models.ManyToManyField(blank=True, default=None, related_name='s3pool_contact', to='tenancy.contact')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Bucket',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100, null=True)),
                ('capacity', models.IntegerField(blank=True, null=True)),
                ('credential', models.CharField(blank=True, max_length=100, null=True)),
                ('url', models.URLField(blank=True, null=True)),
                ('access', models.CharField(blank=True, default='private', max_length=20)),
                ('assigned_object_id', models.PositiveBigIntegerField(blank=True, default=None, null=True)),
                ('description', models.CharField(blank=True, max_length=500)),
                ('comments', models.TextField(blank=True)),
                ('assigned_object_type', models.ForeignKey(default=None, limit_choices_to=models.Q(models.Q(models.Q(('app_label', 'netbox_object_storage'), ('model', 'bucket')), models.Q(('app_label', 'netbox_object_storage'), ('model', 'pool')), _connector='OR')), null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='contenttypes.contenttype')),
                ('contact', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='s3bucket_contact', to='tenancy.contact')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Bucket',
                'ordering': ('name',),
            },
        ),
    ]
